package:
  name: bbmap
  version: '39.01'
source:
  sha256: 98608da50130c47f3abd095b889cc87f60beeb8b96169b664bc9d849abe093e6
  url: http://downloads.sourceforge.net/project/bbmap/BBMap_39.01.tar.gz
build:
  number: '1'
requirements:
  build:
    - gcc_linux-64 12.*
  host:
    - openjdk >=7.0
    - pbzip2
    - bzip2
    - samtools
  run:
    - openjdk >=7.0
    - pbzip2
    - bzip2
    - samtools
test:
  commands:
    - bbmap.sh -V 2>&1 | grep "BBMap" > /dev/null
    - bbmerge.sh -V 2>&1 | grep "BBMerge" > /dev/null
    - bbduk.sh -V 2>&1 | grep "BBDuk" > /dev/null
    - bbmask.sh -V 2>&1 | grep "BBMask" > /dev/null
    - bbnorm.sh --help 2>&1 | grep "BBNorm" > /dev/null
  files:
    - test.fa
    - testdatabase.fa
    - testexpected.sam
about:
  doc_url: https://jgi.doe.gov/data-and-tools/bbtools/bb-tools-user-guide/
  home: https://sourceforge.net/projects/bbmap
  license: UC-LBL license (see package)
  license_file: license.txt
  summary: BBMap is a short read aligner, as well as various other bioinformatic tools.
extra:
  final: null
  identifiers:
    - biotools:bbmap
    - doi:10.1371/journal.pone.0185056
  notes: 'BBMap is a series of Java programs, but they come with a number of custom

    wrapper shell scripts. Each of these is symlinked to the conda bin directory

    during install.

    '
